[iptables]
# Specific rules for {{ acl.protocol }}
{% if 'rules' in acl %}
{%   for rule in acl.rules %}
-A {{ rule.chain }}{% if 'in_interface' in rule %} -i {{ rule.in_interface }}{% endif %}{% if 'protocol' in rule %} -p {{ rule.protocol }}{% endif %}{% if 'source' in rule %} -s {{ rule.source }}{% endif %}{% if 'destination' in rule %} -d {{ rule.destination }}{% endif %}{% if 'destination_port' in rule %} --dport {{ rule.destination_port }}{% endif %} -j {{ rule.target }}
{%   endfor %}
{% endif %}
{% if acl.protocol == 'bgp' %}
{%   if underlay is defined and 'bgp' in underlay %}
# Automatic rules for bgp underlay
{%     for interface in underlay.bgp.members %}
-A INPUT -i {{ interface }} -p tcp --dport bgp -j ACCEPT
{%     endfor %}
{%   endif %}
-A INPUT -i peerlink.4094 -p tcp --dport bgp -j ACCEPT
# Deny all rule for bgp
-A INPUT -i swp+ -p tcp --dport bgp -j DROP
-A INPUT -i bond+ -p tcp --dport bgp -j DROP
{% endif %}
